function Create(self)
	--Keep track of how long it should be before healing people.
	self.healTimer = Timer();
	--Interval between healings, in milliseconds.
	self.healInterval = 100;
    self.baseStrength = 10;
end

function Update(self)
	--Heal every interval.
	if self.healTimer:IsPastSimMS(self.healInterval) then
	--Cycle through all actors.
	for actor in MovableMan.Actors do
		--If the actor is on the right team, has less than 100 health and is not the healer, continue with code.
		if not IsACRocket(actor) and not IsACDropShip(actor) and actor.ID ~= self.ID then
			--Trigonometry to find how far the actor is.
			local distVec = SceneMan:ShortestDistance(self.Pos, actor.Pos, true);
			if distVec.Magnitude < 60 and not SceneMan:CastStrengthRay(self.Pos, distVec, 6, Vector(0,0), 3, 0, true) then
				--If the actor is fairly close, heal them!
				actor.Health = actor.Health + 0.10;
			    if actor and (actor.Health < actor.MaxHealth or actor.WoundCount > 0) then
				    local strength = self.baseStrength + math.ceil(3000/(1 + math.abs(actor.Mass - actor.InventoryMass + actor.Material.StructuralIntegrity) * 0.5));
				    if actor.Health < actor.MaxHealth then
					actor.Health = math.min(actor.Health + strength, actor.MaxHealth);
				    end
				    if actor.WoundCount > 0 then
					actor:RemoveWounds(math.ceil(strength * 0.15), true, false, false);
				    end
				    actor:FlashWhite(50);

				    local particleCount = math.ceil(1 + actor.Radius * 0.5);
				    for i = 1, particleCount do
					    local part = CreateMOPixel("Heal Glow", "Base.rte");
					    local vec = Vector(particleCount * 2, 0):RadRotate(math.pi * 2 * i/particleCount);
					    part.Pos = actor.Pos + Vector(0, -particleCount * 0.3):RadRotate(actor.RotAngle) + vec;
					    part.Vel = actor.Vel * 0.5 - Vector(vec.X, vec.Y) * 0.25;
					    MovableMan:AddParticle(part);
				    end
				    local cross = CreateMOSParticle("Particle Heal Effect", "Base.rte");
				    cross.Pos = actor.AboveHUDPos + Vector(0, 5);
				    MovableMan:AddParticle(cross);
                end
			end
		end
	end
	--Reset the healing timer.
	self.healTimer:Reset();
	end
end