function Create(self)
	--Charge ammount, goes from 0 to 1, with 1 being the maximum charge possible. Charge doesn't affect damage, just Fire veolcity in this scripts.
	self.charge = 0;
	
	--Vel interval at which the shot will be fired, with min being at 0 charge, and max being at 1 charge
	self.minFireVel = 30;
	self.maxFireVel = 60;
	
	--Time in ms before the gun reaches 100 or charge = 1;
	self.chargeDelay = 7000;

	self.animTimer = Timer();
	self.chargeTimer = Timer();
	self.chargeTimer:SetSimTimeLimitMS(self.chargeDelay);
    self.TorqueActivationTimer = Timer();
	self.TorqueActivationDelay = 7999;
	
	--The following timer prevents a glitch where you can fire twice by putting the gun inside the inventory while charging
	self.inventorySwapTimer = Timer();
	self.inventorySwapTimer:SetSimTimeLimitMS(math.ceil(TimerMan.DeltaTimeMS));
	-- Active sound being the sound that plays when we are charging the gun.	Change it if you want to
	self.activeSound = CreateSoundContainer("Torque Bow Charge", "gowlocust.rte");
end
function Update(self)

    local owner = self:GetRootParent();
	if owner.ClassName == "AHuman" or owner.ClassName == "ACrab" then
		owner = ToActor(owner);
		local controller = owner:GetController();
    end

	if self.Magazine then
		if self.inventorySwapTimer:IsPastSimTimeLimit() then
			self.activeSound:Stop();
			self.charge = 0;
		end
		
		self.inventorySwapTimer:Reset();
		
		if self.Magazine.RoundCount > 0 then
			if self.animTimer:IsPastSimMS(200 * (1 - self.charge)) then
				self.animTimer:Reset();

                if owner:GetController():IsState(Controller.WEAPON_FIRE) then
                    self.Frame = self.Frame < (self.FrameCount - 1) and self.Frame + 1 or 0;
                end

            ------ Effects/animation stuff the destroyer cannon has when charging.
				if self.Frame == 1 then
					local effect = CreateMOPixel("Destroyer Muzzle Glow");
					effect.Pos = self.MuzzlePos;
					effect.Vel = self.Vel * 0.5;
					MovableMan:AddParticle(effect);
                end
			end
			
			if self:DoneReloading() then
				self:Deactivate();
			end
			
			--------- Charging the gun without releasing the fire button
			
			if self:IsActivated() and not self.forceFire then
				self:Deactivate();
				
				if self.activeSound:IsBeingPlayed() then
					self.activeSound.Pos = self.Pos;
					self.activeSound.Pitch = self.charge;
				else
					self.activeSound:Play(self.Pos);
				end
				
				---- Keep charging the gun until we hit the limit 
				
				if not self.chargeTimer:IsPastSimTimeLimit() then
					self.charge = self.chargeTimer.ElapsedSimTimeMS/self.chargeDelay;
				else
					self.forceFire = true;
				end
				
				self.Magazine.RoundCount = math.ceil(self.charge * 100);	--We use the ammo count to tell the percentaje of charge.
			else
				self.Magazine.RoundCount = 1;
				
				---If we release the fire button, and we've charged the gun a bit, fire the shot.
				
				if self.charge > 0 then	
					--Trigger gun like normal and dispense the shot
					self:Activate();
				end
				
				self.chargeTimer:Reset();
			end
		else
			self:Reload();
		end
	else
		self.Frame = 0;
	end
	
	---- This here is important: The shot the Destroyer cannon uses is manually place through lua right here.
	---- If you want to change the shot from the Destroyer Cannon Shot to something else, you'll have to create it first in ini, then replace Destroyer Cannon Shot with the name of your new shot
	---- If the shot you create is something else apart from an AEmitter, you'll also have to change CreateAEmitter to match up the type of shot you've created (If you want so shot an MOSRotating, you'd write CreateMOSRotating)
	---- Below that is just lua stuff to place the shot in the gun's muzzle, and to make it hit enemies, and also the velocity of the shot, which in this case is the thing being changed by the
	---- ammount of charge the gun has before firing
	
	if self.FiredFrame then
		local par = CreateAEmitter("Torque Emitter");
		par.Team = self.Team;
		par.IgnoresTeamHits = true;
		par.Pos = self.MuzzlePos;
		par.Vel = Vector((self.minFireVel + (self.maxFireVel - self.minFireVel) * self.charge) * self.FlipFactor, 0):RadRotate(self.RotAngle);
        par.RotAngle = par.Vel.AbsRadAngle;
		MovableMan:AddParticle(par);
		
		self.charge = 0;
		self.activeSound:Stop();
		
		self.forceFire = false;
	end
end

function Destroy(self)
	self.activeSound:Stop();
end